generate.revhistory.link
Prev | Meta/*Info and Titlepages | Next

## generate.revhistory.link

generate.revhistory.link — Write revhistory to separate chunk and generate link?

## Synopsis

    <xsl:param name="generate.revhistory.link" select="0"></xsl:param>

## Description

If non-zero, the contents of `revhistory` are written to a separate HTML file and a link to the file is generated. Otherwise, `revhistory` contents are rendered on the title page.

The name of the separate HTML file is computed as follows:

1. If a filename is given by the `<?dbhtml filename?>` processing instruction, that filename is used.

2. If the revhistory has an `id`/`xml:id` attribute, and if `use.id.as.filename` != 0, the filename is the concatenation of the id value and the value of the `html.ext` parameter.

3. If the revhistory does not have an `id`/`xml:id` attribute, or if `use.id.as.filename` = 0, the filename is the concatenation of "rh-", auto-generated id value, and `html.ext` value.

Prev | Up | Next
generate.legalnotice.link | Home | html.head.legalnotice.link.types